<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [NonInviteServerTransaction](./sip.js.noninviteservertransaction.md)

## NonInviteServerTransaction class

Non-INVITE Server Transaction.

<b>Signature:</b>

```typescript
export declare class NonInviteServerTransaction extends ServerTransaction 
```
<b>Extends:</b> [ServerTransaction](./sip.js.servertransaction.md)

## Remarks

https://tools.ietf.org/html/rfc3261\#section-17.2.2

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(request, transport, user)](./sip.js.noninviteservertransaction._constructor_.md) |  | Constructor. After construction the transaction will be in the "trying": state and the transaction <code>id</code> will equal the branch parameter set in the Via header of the incoming request. https://tools.ietf.org/html/rfc3261\#section-17.2.2 |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [kind](./sip.js.noninviteservertransaction.kind.md) |  | string | Transaction kind. Deprecated. |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [dispose()](./sip.js.noninviteservertransaction.dispose.md) |  | Destructor. |
|  [onTransportError(error)](./sip.js.noninviteservertransaction.ontransporterror.md) |  | First, the procedures in \[4\] are followed, which attempt to deliver the response to a backup. If those should all fail, based on the definition of failure in \[4\], the server transaction SHOULD inform the TU that a failure has occurred, and SHOULD transition to the terminated state. https://tools.ietf.org/html/rfc3261\#section-17.2.4 |
|  [receiveRequest(request)](./sip.js.noninviteservertransaction.receiverequest.md) |  | Receive requests from transport matching this transaction. |
|  [receiveResponse(statusCode, response)](./sip.js.noninviteservertransaction.receiveresponse.md) |  | Receive responses from TU for this transaction. |
|  [typeToString()](./sip.js.noninviteservertransaction.typetostring.md) |  | For logging. |

