## API Report File for "sip.js"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

// @public
export function defaultManagedSessionFactory(): ManagedSessionFactory;

// @public
export interface ManagedSession {
    // (undocumented)
    held: boolean;
    // (undocumented)
    mediaLocal?: SessionManagerMediaLocal;
    // (undocumented)
    mediaRemote?: SessionManagerMediaRemote;
    // (undocumented)
    muted: boolean;
    // Warning: (ae-forgotten-export) The symbol "Session" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    session: Session;
}

// @public
export interface ManagedSessionFactory {
    (sessionManager: SessionManager, session: Session): ManagedSession;
}

// @public
export class SessionManager {
    constructor(server: string, options?: SessionManagerOptions);
    // Warning: (ae-forgotten-export) The symbol "InvitationAcceptOptions" needs to be exported by the entry point index.d.ts
    answer(session: Session, invitationAcceptOptions?: InvitationAcceptOptions): Promise<void>;
    // Warning: (ae-forgotten-export) The symbol "InviterOptions" needs to be exported by the entry point index.d.ts
    // Warning: (ae-forgotten-export) The symbol "InviterInviteOptions" needs to be exported by the entry point index.d.ts
    // Warning: (ae-forgotten-export) The symbol "Inviter" needs to be exported by the entry point index.d.ts
    call(destination: string, inviterOptions?: InviterOptions, inviterInviteOptions?: InviterInviteOptions): Promise<Inviter>;
    connect(): Promise<void>;
    decline(session: Session): Promise<void>;
    delegate: SessionManagerDelegate | undefined;
    disconnect(): Promise<void>;
    // @deprecated
    getLocalAudioTrack(session: Session): MediaStreamTrack | undefined;
    getLocalMediaStream(session: Session): MediaStream | undefined;
    // @deprecated
    getLocalVideoTrack(session: Session): MediaStreamTrack | undefined;
    // @deprecated
    getRemoteAudioTrack(session: Session): MediaStreamTrack | undefined;
    getRemoteMediaStream(session: Session): MediaStream | undefined;
    // @deprecated
    getRemoteVideoTrack(session: Session): MediaStreamTrack | undefined;
    hangup(session: Session): Promise<void>;
    hold(session: Session): Promise<void>;
    isConnected(): boolean;
    isHeld(session: Session): boolean;
    isMuted(session: Session): boolean;
    managedSessions: Array<ManagedSession>;
    message(destination: string, message: string): Promise<void>;
    mute(session: Session): void;
    // Warning: (ae-forgotten-export) The symbol "RegistererRegisterOptions" needs to be exported by the entry point index.d.ts
    register(registererRegisterOptions?: RegistererRegisterOptions): Promise<void>;
    sendDTMF(session: Session, tone: string): Promise<void>;
    // Warning: (ae-forgotten-export) The symbol "SessionReferOptions" needs to be exported by the entry point index.d.ts
    transfer(session: Session, target: Session | string, options?: SessionReferOptions): Promise<void>;
    unhold(session: Session): Promise<void>;
    unmute(session: Session): void;
    // Warning: (ae-forgotten-export) The symbol "RegistererUnregisterOptions" needs to be exported by the entry point index.d.ts
    unregister(registererUnregisterOptions?: RegistererUnregisterOptions): Promise<void>;
    // Warning: (ae-forgotten-export) The symbol "UserAgent" needs to be exported by the entry point index.d.ts
    userAgent: UserAgent;
}

// @public
export interface SessionManagerDelegate {
    onCallAnswered?(session: Session): void;
    onCallCreated?(session: Session): void;
    onCallDTMFReceived?(session: Session, tone: string, duration: number): void;
    onCallHangup?(session: Session): void;
    onCallHold?(session: Session, held: boolean): void;
    onCallReceived?(session: Session): void;
    // Warning: (ae-forgotten-export) The symbol "Message" needs to be exported by the entry point index.d.ts
    onMessageReceived?(message: Message): void;
    // Warning: (ae-forgotten-export) The symbol "Notification" needs to be exported by the entry point index.d.ts
    onNotificationReceived?(notification: Notification): void;
    onRegistered?(): void;
    onServerConnect?(): void;
    onServerDisconnect?(error?: Error): void;
    onUnregistered?(): void;
}

// @public
export interface SessionManagerMedia {
    constraints?: SessionManagerMediaConstraints;
    local?: SessionManagerMediaLocal | ((session: Session) => SessionManagerMediaLocal);
    remote?: SessionManagerMediaRemote | ((session: Session) => SessionManagerMediaRemote);
}

// @public
export interface SessionManagerMediaConstraints {
    audio: boolean;
    video: boolean;
}

// @public
export interface SessionManagerMediaLocal {
    video?: HTMLVideoElement;
}

// @public
export interface SessionManagerMediaRemote {
    audio?: HTMLAudioElement;
    video?: HTMLVideoElement;
}

// @public
export interface SessionManagerOptions {
    aor?: string;
    autoStop?: boolean;
    delegate?: SessionManagerDelegate;
    iceStopWaitingOnServerReflexive?: boolean;
    managedSessionFactory?: ManagedSessionFactory;
    maxSimultaneousSessions?: number;
    media?: SessionManagerMedia;
    reconnectionAttempts?: number;
    reconnectionDelay?: number;
    // Warning: (ae-forgotten-export) The symbol "RegistererOptions" needs to be exported by the entry point index.d.ts
    registererOptions?: RegistererOptions;
    registererRegisterOptions?: RegistererRegisterOptions;
    registerGuard?: (() => Promise<boolean>) | null;
    registrationRetry?: boolean;
    registrationRetryInterval?: number;
    sendDTMFUsingSessionDescriptionHandler?: boolean;
    // Warning: (ae-forgotten-export) The symbol "UserAgentOptions" needs to be exported by the entry point index.d.ts
    userAgentOptions?: UserAgentOptions;
}


// (No @packageDocumentation comment for this package)

```
